The House Rules API is soon to be sunset
Booking.com has deprecated the house rules endpoints (POST /house-rules/properties/{property_id} and GET /house-rules/properties/{property_id}) on December 31, 2024. We will sunset these endpoints on December 31, 2026. For more information on the deprecation and sunsetting timeline, see House Rules in Content API.
The same functionality is available in the new Property Settings API. To learn more, see Managing property settings.
Specify the house rules for a property with the method below. You can only specify house rules for Booking Home property types.
POST https://supply-xml.booking.com/house-rules/properties/{property_id}| Parameter | Description | Type | Required | Notes |
|---|---|---|---|---|
property_id | The property for which you want to specify house rules. | integer | Required | Must be one of the Booking Home types. |
| Header | Description | Type | Required | Notes |
|---|---|---|---|---|
Authorization | JWT access token. Example: Bearer {JWT} | string | Required | - |
| Field | Description | Type | Required | Notes |
|---|---|---|---|---|
smoking_allowed | Specifies whether smoking in the property is allowed (1) or not (0). | int | Optional | Accepts: 0 (no), 1 (yes) |
parties_allowed | Specifies whether guests may have parties at the property (1) or not (0). | int | Optional | Accepts: 0 (no), 1 (yes) |
pets_allowed | Specifies whether pets are allowed. | string | Optional | Accepts: yes, no, on_request |
pets_price_type | Specifies whether charges apply for bringing pets (if allowed). | string | Required if pets_allowed is yes or on_request | Accepts: free, charges_may_apply |
quiet_hours_set | Specifies whether the property has quiet hours (1) or not (0). | int | Optional | Accepts: 0 (no), 1 (yes) |
quiet_hours_start_time | Quiet hours start time. | string | Optional | Format: HH:00, where HH is 1–23. |
quiet_hours_end_time | Quiet hours end time. | string | Optional | Format: HH:00, where HH is 1–23. |
POST /house-rules/properties/1234567
Host: supply-xml.booking.com
Authorization: Bearer {JWT}
Content-Type: application/json
{
"parties_allowed": 0,
"pets_allowed": "yes",
"pets_price_type": "free",
"smoking_allowed": 1,
"quiet_hours_set": 1,
"quiet_hours_start_time": "22:00",
"quiet_hours_end_time": "8:00"
}{
"errors": [],
"data": {
"success": 1
},
"meta": {
"ruid": "UmFuZG9tetc"
},
"warnings": []
}{
"errors": [
{
"message": "This property is not eligible for house rules.",
"code": "OPERATION_NOT_ALLOWED",
"details": null
}
],
"data": {},
"warnings": [],
"meta": {
"ruid": "UmFuZG9etc"
}
}{
"errors": [
{
"message": "Validation of quiet_hours_start_time failed.",
"details": {
"fields": "quiet_hours_start_time"
},
"code": "INVALID_ARGUMENT"
}
],
"meta": {
"ruid": "UmFuZG9etc"
},
"data": {},
"warnings": []
}| Header | Description | Type | Notes |
|---|---|---|---|
RUID | Response Unique IDentifier. | string | - |
| Field | Description | Type | Notes |
|---|---|---|---|
success | Returned upon a successful request. | int | - |
| Code | Description | Notes |
|---|---|---|
400 | Bad request. | - |
404 | Resource not found. | - |